/* for all */
:root {
  --pwGray1: #f5f5f5;
  --pwGray2: #f2f4f6;
  --pwGray3: #bdbdbd;
  --pwGray4: #9e9e9e;
  --pwGray5: #757575;
  --pwGray6: #424242;
  --pwGray7: #212121;
  --pwBlue: #2ca6e0;
  --pwYellow: #ffe624;
  --pwDeepYellow: #ffc61a;
  --pwDeepGreen: #426666;
  --pwOrange: #ffa31a;
  --pwGreen: #bed53f;
  --pwRed: #b3261e;
}

html {
  scroll-behavior: smooth;
}

section {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 1225px;
  max-width: 100%;
  margin: 0 auto;
  padding: 0 1rem;
  opacity: 0;
}

section .title_wrap {
  width: 1225px;
  max-width: 100%;
  padding: 0 1rem;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

button {
  all: unset;
}

h2 {
  font-size: clamp(2rem, 4.5vw, 3.5rem);
  font-weight: 400;
}

h4 {
  font-size: clamp(1rem, 2vw, 1.2rem);
  font-weight: 600;
}

h5 {
  font-size: clamp(0.8rem, 2vw, 1.2rem);
  font-weight: 500;
}

p {
  font-size: clamp(0.8rem, 1.2vw, 1rem);
}

small {
  font-size: clamp(0.7rem, 1vw, 0.9rem);
}

span {
  vertical-align: middle;
}

@media screen and (max-width: 568px) {
  h3 {
    font-size: 1.1rem;
  }

  .swiper-pagination-current,
  .swiper-pagination-total {
    font-family: 'Roboto';
    font-weight: 600;
  }
  .swiper-pagination-current {
    color: var(--pwBlue);
  }
}

/* main */
.main-app {
  width: 100%;
  opacity: 0;
  transition: opacity 0.4s ease;
}

@media screen and (max-width: 1024px) {
  .main-body {
    width: 100%;
  }
}

@media screen and (max-width: 568px) {
  .main-body {
    width: 100%;
  }
  section {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    opacity: 1;
  }
}

/* nav */
.nav-btns {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

button.btn_contact {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  right: 2rem;
  bottom: 1.5rem;
  color: var(--pwBlue);
  border: 1px solid var(--pwBlue);
  background-color: white;
  font-weight: 500;
  padding: 1rem;
  border-radius: 50%;
  box-shadow: 6px 6px 6px 0px rgba(0, 0, 0, 0.3);
  z-index: 10;
  transition: 0.3s all ease;
}

button.btn_contact:hover {
  background-color: var(--pwBlue);
  box-shadow: 12px 16px 35px 0px rgba(0, 0, 0, 0.3);
  color: white;
  border-radius: 2rem;
  transform: translateY(-7px);
  transition: 0.3s all ease;
}

button.btn_contact:focus {
  outline: none;
}

button.btn_contact .contact_text {
  display: none;
  opacity: 0;
  font-size: 16px;
  color: white;
  right: 14px;
  transition: 0.3s all ease;
}

button.btn_contact:hover .contact_text {
  display: block;
  transition: 0.3s all ease;
  opacity: 1;
}

button.btn_contact .icon_contact {
  color: #2ca6e0;
  width: 2.9rem;
  height: 2.9rem;
  transition: 0.3s all ease;
}
button.btn_contact:hover .icon_contact {
  color: white;
  width: 2.6rem;
  height: 2.6rem;
  transition: 0.3s all ease;
}

@media screen and (max-width: 768px) {
  section .title_wrap {
    width: 100%;
    padding: 0;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
  }

  section .title_wrap span {
    line-height: 30px;
  }

  button.btn_contact {
    position: fixed;
    right: 1rem;
    bottom: 1rem;
    color: var(--pwBlue);
    border: 1px solid var(--pwBlue);
    background-color: white;
    font-weight: 500;
    padding: 0.5rem;
    border-radius: 50%;
    box-shadow: 6px 6px 6px 0px rgba(0, 0, 0, 0.3);
    z-index: 10;
    transition: 0.3s all ease;
  }
  button.btn_contact .icon_contact {
    color: #2ca6e0;
    width: 2rem;
    height: 2rem;
    transition: 0.3s all ease;
  }
}

@media screen and (max-width: 1024px) {
  .nav-btns {
    flex-direction: column;
    padding: 0 1em;
  }
  .nav-btns a {
    display: block;
    margin-top: 0.5em;
    width: 100%;
  }
}

/* banner */

div#banner {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
}

div#banner .top_content {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding-top: 20vw;
}

/* banner marquee */

.marquee_container {
  width: 100%;
  display: contents;
  position: relative;
  overflow: hidden;
}

.marquee_wrapper {
  display: flex;
  position: absolute;
  width: 200vw;
  gap: 1.5rem;
  top: 1rem;
  animation: scrolling-back 18s linear infinite;
}

.marquee-item {
  flex-grow: 1;
}

.marquee-item img {
  width: 100%;
  max-width: 450px;
  aspect-ratio: 390/260;
  display: block;
  object-fit: cover;
  border-radius: 1rem;
}

@keyframes scrolling-back {
  0% {
    left: 0;
  }
  100% {
    left: -100vw;
  }
}

.banner_info {
  display: flex;
  justify-content: center;
  gap: 20dvw;
  width: 1225px;
  max-width: 100%;
  padding: 0 1rem;
  margin: 0 auto;
}

.banner_info h1 {
  font-weight: 400;
  font-size: 1.5rem;
}

.banner_info .desc {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 1rem;
}

.banner_info .link {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  width: fit-content;
  max-width: 50%;
  flex-shrink: 0;
  gap: 3rem;
}

.banner_info .link button {
  display: flex;
  cursor: pointer;
  flex-shrink: 0;
  border-radius: 2rem;
  border: 1px solid;
  padding: 1.2rem 1.5rem;
  text-align: center;
  font-size: clamp(14px, 1vw, 1.1rem);
  transition: all 0.2s ease;
}

.banner_info .link button:hover {
  background-color: var(--pwGray7);
  color: white;
  flex-shrink: 0;
}

.banner_info .link a {
  color: var(--pwBlue);
  font-size: clamp(14px, 1vw, 1.1rem);
}

.swiper-button-next,
.swiper-button-prev {
  color: black;
  top: auto;
  bottom: 1rem;
  background-color: white;
  opacity: 0.8;
  width: 2.2rem;
  height: 2.2rem;
  font-weight: bold;
  padding: 5px;
  border-radius: 50%;
  transition: all 0.3s ease;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
  opacity: 1;
  transition: all 0.3s ease;
}

/*  swiper btn common style  */

.swiper-pagination-bullet-active {
  background-color: #333333;
}
.swiper-button-next,
.swiper-button-prev {
  position: absolute;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  width: 90%;
  height: 90%;
  font-size: 1rem;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
  opacity: 1;
  transition: all 0.3s ease;
}

.swiper-button-disabled {
  opacity: 0.3;
}

.swiper-button-next:after {
  margin: auto;
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'%3E%3Cpath fill='currentColor' d='M754.752 480H160a32 32 0 1 0 0 64h594.752L521.344 777.344a32 32 0 0 0 45.312 45.312l288-288a32 32 0 0 0 0-45.312l-288-288a32 32 0 1 0-45.312 45.312z'/%3E%3C/svg%3E");
}

.swiper-button-prev:after {
  margin: auto;
  transform: rotate(180deg);
  transform-origin: center;
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'%3E%3Cpath fill='currentColor' d='M754.752 480H160a32 32 0 1 0 0 64h594.752L521.344 777.344a32 32 0 0 0 45.312 45.312l288-288a32 32 0 0 0 0-45.312l-288-288a32 32 0 1 0-45.312 45.312z'/%3E%3C/svg%3E");
}

@media screen and (max-width: 568px) {
  div#banner .top_content {
    display: flex;
    flex-direction: column-reverse;
    height: 100%;
    padding-top: 50vw;
  }

  div#banner {
    padding-bottom: 1rem;
  }

  .marquee_wrapper {
    width: 580vw;
    animation: scrolling-back 10s linear infinite;

  }

  .banner_info {
    width: 100%;
    order: 2;
    flex-direction: column;
    gap: 1rem;
    margin-top: 1rem;
  }

  .banner_info h1 {
    font-size: 1rem;
    line-height: 1;
  }
  .banner_info small {
    margin-top: 1.5rem;
    margin-bottom: 0;
  }

  .banner_info h2 {
    margin: 0 0 0rem 0;
  }

  .banner_info p {
    margin-bottom: 0;
    margin-top: 1rem;
  }

  .banner_info .desc > div span {
    font-size: 14px;
  }

  .banner_info .link {
    max-width: 100%;
    width: 100%;
    flex-direction: column-reverse;
    align-items: center;
    gap: 1rem;
    padding-top: 0;
  }
  .banner_info .link button {
    font-size: 1rem;
  }
}

/* feature */
section#features {
  scroll-margin-top: 3rem;
  width: 100%;
  padding: 5%;
  margin-top: 5%;
  background-color: var(--pwGray2);
}

.feature_content {
  display: flex;
  flex-direction: column;
  width: 1225px;
  max-width: 100%;
  padding: 0 1rem;
  height: 80%;
  margin: 0 auto;
}

.feature_content .features_wrap {
  width: 100%;
  height: 100%;
}

.feature_content .features_wrap h5 {
  text-align: center;
}

.feature_content .feature_note {
  width: 100%;
  max-width: 600px;
  height: auto;
  text-align: center;
  margin: 1rem auto 1.5rem auto;
}

.title_wrap {
  margin: auto;
  margin-bottom: 0.5rem;
}
.title_wrap h2 {
  margin-top: auto;
  margin-bottom: 0;
  margin-right: 0.5rem;
}

.title_wrap span {
  font-weight: 500;
  line-height: 2.2;
  font-size: clamp(1rem, 2vw, 1.2rem);
  letter-spacing: 1px;
  margin-top: auto;
}

.features_wrap {
  display: grid;
  margin-top: 1rem;
  width: 100%;
  height: 100%;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 0rem 1.5rem;
}

.features_wrap figure {
  position: relative;
  display: flex;
  flex-direction: column;
}

.features_wrap figure .img_wrap {
  width: 100%;
  position: relative;
  aspect-ratio: 264/352;
  border-radius: 1rem;
  overflow: hidden;
}

.features_wrap figure .img_wrap img {
  height: 100%;
  width: 100%;
  position: relative;

  object-fit: cover;
}

.features_wrap figure .img_wrap h4 {
  margin: auto;
  text-align: left;
  margin-bottom: 10px;
  position: absolute;
  color: white;
  font-size: 1.4rem;
  bottom: 1rem;
  left: 10%;
  width: 70%;
  z-index: 2;
}

.features_wrap figure .img_wrap::before {
  content: '';
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 30%;
  z-index: 1;
  background: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 1) 100%
  );
}

.features_wrap figure figcaption {
  order: 2;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 0.8rem 0 0rem 0;
  text-align: justify;
  height: 30%;
  width: 100%;
  border-radius: 1rem;
  opacity: 1;
  z-index: 1;
}

@media screen and (max-width: 1024px) {
  .features_wrap {
    display: grid;
    width: 100%;
    height: 100%;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 300px;
    grid-gap: 0rem 0.8rem;
  }
  .features_wrap figure img {
    height: 60%;
  }
}

@media screen and (max-width: 568px) {
  section#features {
    padding: 5% 0;
  }

  .feature_content {
    display: flex;
    flex-direction: column;
  }

  .sw_feature .swiper-slide {
    padding: 0 0.5rem;
    gap: 1rem;
  }

  .feature_content .features_wrap {
    order: 2;
    width: 90%;
    margin-left: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: visible;
  }

  .feature_content .feature_note {
    order: 1;
  }

  .feature_content .features_wrap p {
    font-size: 14px;
  }

  figure[data-grid='feature_1'] {
    flex-direction: column;
    width: 100%;
  }
  figure[data-grid='feature_1'] img {
    width: 100%;
  }
  figure[data-grid='feature_1'] figcaption {
    width: 100%;
  }
}

/* comments */

#comments {
  padding-top: 1rem;
}
#comments .title_wrap {
  justify-content: flex-start;
}

#comment-swiper {
  display: block;
  width: 1225px;
  max-width: 100%;
  padding: 1rem;
  margin: 1rem auto 2rem auto;
  max-height: 800px;
}

#comment-swiper .swiper {
  overflow: visible;
}

#comment-swiper .comment_card {
  background: var(--pwGray2);
  border-radius: 8px;
  height: fit-content;
  padding: 1rem;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  max-width: 357px;
  aspect-ratio: 357/178;
}

.comment_card p {
  font-size: clamp(10px, 2vw, 14px);
  font-weight: 500;
  margin-top: 1rem;
}
.comment_card small {
  font-size: 12px;
  margin-left: 0.5rem;
  color: var(--pwGray3);
  margin-right: 3px;
}

.comment_card {
  margin-top: auto;
  text-align: right;
}

.comment_card svg {
  color: var(--pwBlue);
  width: 1rem;
}

.comment_card .info {
  display: flex;
  margin-bottom: 1px;
  align-items: center;
}

#comment-swiper .navigation_wrap {
  position: relative;
  display: flex;
  width: fit-content;
  gap: 1rem;
  align-items: center;
  margin-top: 1rem;
}

.swiper-button-next.sw_comment_btn,
.swiper-button-prev.sw_comment_btn {
  position: relative;
  left: 0;
  right: auto;
  bottom: auto;
  top: auto;
  margin-top: 0;
  border: 1px solid;
}

.swiper-pagination.sw_comment {
  display: none;
}

@media screen and (max-width: 568px) {
  #comment-swiper {
    padding: 0 1rem;
    margin-top: 0;
    margin-bottom: 1rem;
  }
  #comment-swiper .navigation_wrap {
    margin-top: 1rem;
  }
  .comment_card p {
    font-size: 1rem;
    font-weight: 500;
    margin-top: 1rem;
  }
  .comment_card small {
    font-size: 14px;
    margin-left: 0.5rem;
    color: var(--pwGray3);
    margin-right: 3px;
  }

  .comment_card {
    margin-top: auto;
    text-align: right;
  }

  .comment_card svg {
    width: 17px;
    transform: scale(1.3);
  }

  .swiper-pagination.sw_comment {
    position: relative;
    text-align: left;
    padding-left: 0.5rem;
  }
}
/* case */

section#case .lg-flex-reverse {
  flex-direction: row-reverse;
}

section#case {
  scroll-margin-top: 5rem;
  width: 1225px;
  max-width: 100%;
  padding: 0 1rem;
  margin: 0 auto;
}

#case .title_wrap {
  margin-top: 2rem;
}

#case .slide_container {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  gap: 2rem;
  padding-bottom: 3vw;
  background-color: var(--pwGray2);
  box-shadow: 0 0 0 100vmax var(--pwGray2);
  clip-path: inset(0 -100vmax);
}

#case hr {
  background-color: black;
}

.slide_container .case_slide {
  display: flex;
  flex-direction: row;
  width: 100%;
  gap: 0 1vw;
}

.slide_container .text_info {
  display: flex;
  position: relative;
  height: auto;
  margin: auto;
  margin-left: 0;
  width: 40%;
}

.slide_container .text_info .text_wrap {
  margin: auto;
  padding-right: 2rem;
  opacity: 1;
}

.text_info .text_wrap h3 {
  font-size: clamp(1.5rem, 2vw, 2.5rem);
  font-weight: 500;
}
.text_info .text_wrap h4 {
  font-weight: 300;
  margin: 10px 0;
}

.text_info .text_wrap p {
  margin-top: 1rem;
  width: 100%;
  text-align: justify;
}

.text_info .text_wrap .guide_link {
  border: 1px solid black;
  color: black;
  letter-spacing: 1px;
  font-size: 14px;
  padding: 0.6rem 1rem;
  border-radius: 2rem;
  display: inline-block;
  margin-top: 0.5rem;
}

.slide_container .text_info .tags_container {
  display: inline-flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  margin-top: 0.8rem;
}

.text_info .tags_container span {
  background-color: #fff;
  padding: 5px 0.8rem;
  letter-spacing: 1px;
  color: var(--pwBlue);
  border-radius: 1rem;
}

.slide_container .case_slide figure {
  display: grid;
  gap: 1rem;
  grid-template-rows: 1fr 1fr;
  grid-template-columns: 1fr 1fr;
  width: 60%;
  aspect-ratio: 4/3;
  margin: 0;
  padding: 1rem 0rem 1rem 1rem;
}

.slide_container .case_slide.lg-flex-reverse figure {
  padding: 1rem 1rem 1rem 0rem;
}

.slide_container .case_slide.lg-flex-reverse .text_wrap {
  padding-right: 0;
  padding-left: 2rem;
}

.slide_container .case_slide img {
  width: 100%;
  object-fit: cover;
  object-position: center center;
  height: 100%;
  border-radius: 1rem;
  box-shadow: 0px 40px 40px 0px #00000022;
}

.slide_container .case_slide:first-child figure {
  opacity: 1;
}

@media screen and (max-width: 768px) {
  section#case {
    padding: 3% 0;
  }

  section#case .lg-flex-reverse {
    flex-direction: column-reverse;
  }

  #case .slide_container {
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
    gap: 1rem;
  }

  .slide_container .case_slide {
    height: 100vh;
  }

  .slide_container .text_info .tags_container {
    margin: 0 0 1rem 0;
  }

  .slide_container .text_info {
    position: absolute;
    width: 100vw;
    padding: 1rem;
    justify-content: center;
    z-index: 1;
  }

  .slide_container .text_info .text_wrap {
    margin: auto 0;
    padding-right: 0;
  }

  .text_info .text_wrap h3 {
    font-size: clamp(1.5rem, 3vw, 3rem);
    font-weight: 600;
  }
  .text_info .text_wrap h4 {
    font-weight: 300;
  }

  .text_info .text_wrap p {
    margin: 0;
    margin: auto 0;
    width: 100%;
  }

  .text_info .text_wrap small {
    border: 1px solid white;
    padding: 5px 0.5rem;
    margin-right: 0.5rem;
    border-radius: 5px;
  }

  .slide_container .case_slide figure {
    width: 100vw;
    height: 100vh;
    z-index: 0;
  }

  .slide_container .case_slide:nth-child(8) figure img {
    object-position: center 0;
  }
}

@media screen and (max-width: 568px) {
  section#case {
    padding: 3% 0;
  }

  .slide_container .case_slide {
    height: auto;
    flex-direction: column-reverse;
    padding-bottom: 1.5rem;
  }
  .slide_container .case_slide:last-child {
    padding-bottom: 0rem;
  }

  .slide_container .text_info {
    position: relative;
    bottom: 0;
    width: 100vw;
    padding: 1rem;
    justify-content: center;
    z-index: 1;
  }

  .slide_container .case_slide figure {
    position: relative;
    opacity: 1;
    height: 100%;
  }

  .slide_container .case_slide.lg-flex-reverse .text_wrap,
  .slide_container .text_info .text_wrap {
    margin: auto 0;
    padding: 0;
  }

  .slide_container .case_slide img {
    width: 100%;
    object-fit: cover;
    object-position: center center !important;
    height: 100%;
    margin-top: 0;
  }

  .slide_container .case_slide:nth-child(8) figure img {
    object-position: center 0px !important;
    height: 350px;
  }

  .case_swiper {
    overflow: visible;
  }

  .case_swiper .swiper-wrapper .swiper-slide img {
    box-shadow: 0px 14px 20px 0px #00000030;
  }

  .case_swiper .swiper-pagination .swiper-pagination-bullet {
    background-color: var(--pwGray4);
    opacity: 0.7;
    transform: scale(0.8);
  }

  .case_swiper
    .swiper-pagination
    .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: white;
    transform: scale(1.3);
  }
}

/* brands */
section#brands {
  overflow-x: hidden;
  padding: 0;
  padding-top: 4rem;
}

.swiper.sw_logo {
  width: 100%;
  margin: 2rem auto;
}

.swiper-button-next.sw_logo_btn,
.swiper-button-prev.sw_logo_btn {
  font-weight: 200;
  border: 1px solid #e2e4e6;
  background: white;
  border-radius: 50%;
  padding: 5px;
  top: 50%;
  bottom: 1rem;
  width: clamp(2rem, 4vw, 3rem);
  height: clamp(2rem, 4vw, 3rem);
  padding: 5px;
  /* opacity: .8; */
  transition: all 0.3s ease;
}

.swiper-button-next.sw_logo_btn {
  left: 95%;
}

.swiper-button-prev.sw_logo_btn {
  right: 95%;
  left: auto;
}

.logos_container {
  display: flex;
  width: 1225px;
  max-width: 100%;
  margin: 0 auto;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.logos_container img {
  display: block;
  aspect-ratio: 16/9;
  width: 13vw;
  max-width: 200px;
  margin: 8px;
  object-fit: contain;
}

@media screen and (max-width: 768px) {
  .logos_container {
    width: 100%;
    padding: 0;
    padding-bottom: 3rem;
  }

  .logos_container img {
    width: 20vw;
  }

  .swiper-button-next.sw_logo_btn,
  .swiper-button-prev.sw_logo_btn {
    right: auto;
    left: 1rem;
    top: auto;
    bottom: 1rem;
    padding: 6px;
  }

  .swiper-button-next.sw_logo_btn {
    left: 3.5rem;
  }

  .swiper-button-next.sw_feature_btn,
  .swiper-button-prev.sw_feature_btn {
    right: auto;
    filter: invert(1);
    left: 0.5rem;
    top: auto;
    bottom: 1rem;
    padding: 6px;
  }

  .swiper-button-next.sw_feature_btn {
    left: 3rem;
  }

  .swiper-pagination.sw_feature {
    position: relative;
    text-align: left;
    padding-left: 0.5rem;
  }
}

/* game recommend */

section#recommend {
  scroll-margin-top: 3rem;
  padding-bottom: 8svh;
}

section.category {
  position: relative;
  margin: 2rem auto;
  display: flex;
  width: 100%;
  flex-direction: column;
  height: auto;
  transition: all 0.2s ease-out;
}

section.category .category_content {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-auto-rows: minmax(200px, 14vw);
  grid-gap: 2rem 1rem;
  position: relative;
  width: 1225px;
  max-width: 100%;
  padding: 0 1rem;
  margin-bottom: 3rem;
  margin: 0 auto;
  height: auto;
}

section.category .section_bg {
  position: absolute;
  display: grid;
  grid-template-columns: 30% 1fr;
  grid-template-rows: 70% 1fr;
  content: '';
  height: 100%;
  width: 100%;
  padding-top: 10svh;
  left: 0;
  bottom: 0;
  z-index: -1;
}

section.category .section_bg .bg_1 {
  grid-column: 1/2;
  grid-row: 1/2;
  background-color: var(--pwGray2);
}

section.category .section_bg .bg_2 {
  grid-column: 2/3;
  grid-row: 2/3;
  background-color: var(--pwGray2);
}

section.category .category_tab {
  display: flex;
  position: relative;
  max-width: 100%;
  gap: 5vw;
  margin: 1.5rem 0 1.5rem 10vw;
  padding: 0;
}

section.category .category_tab h5 {
  display: inline;
  color: var(--pwGray7);
  font-size: clamp(1rem, 2vw, 1.2rem);
  text-align: center;
  letter-spacing: 0px;
  margin-bottom: 8px;
  margin: 0;
}

section.category .category_tab span {
  font-size: clamp(0.8rem, 1vw, 1.2rem);
  text-align: left;
  font-weight: 400;
  margin: 0;
}

.category_content .category_game {
  position: relative;
}

.category_content .category_game figure {
  height: 100%;
  width: 100%;
}

.category_content .category_game figure img {
  height: 100%;
  width: 100%;
  border-radius: 0.5rem;
  object-fit: cover;
  transform: 0.3s all ease;
}
.category_content .category_game figure:hover > img {
  filter: grayscale(0.7) blur(2px);
}

.category_content .category_game figure figcaption {
  position: absolute;
  background-color: #242526cc;
  color: white;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  overflow: hidden;
  height: 100%;
  width: 100%;
  padding: 0.7rem;
  opacity: 0;
  border-radius: 0.5rem;
  transition: 0.3s all ease;
}

.category_content .category_game figure:hover figcaption {
  opacity: 1;
  transition: 0.3s all ease;
}

.category_content .category_game figure figcaption h5 {
  margin: 0 auto;
}

.category_content .category_game blockquote {
  margin: 0;
  width: 100%;
  user-select: none;
  display: flex;
  height: 100%;
  flex-direction: column;
  font-size: 15px;
}

.category_game blockquote .guide_name {
  margin: auto;
  margin-bottom: 0.5rem;
  transform: translateY(20px);
  transition: 0.3s all ease;
}

.category_game figure:hover blockquote .guide_name {
  transform: translateY(0px);
  transition: 0.3s all ease;
  font-weight: 500;
}

.category_game blockquote .guide_content {
  margin: 0 0 auto;
  opacity: 0;
}

.category_game figure:hover blockquote .guide_content {
  opacity: 1;
  text-align: justify;
  transition: 1s all ease;
}

.category_game figure .info_container {
  width: 100%;
  display: flex;
  margin: 8px 0;
  align-items: center;
  font-size: clamp(12px, 1vw, 16px);
  opacity: 1;
  gap: 0.5rem;
}

.category_game figure .info_container h6 {
  display: none;
}

.category_game figure .info_container img[data-icon] {
  height: 1rem;
  width: auto;
}

.category_game figure .info_container .guide_price_text {
  margin-right: auto;
}

.category_game figure:hover .creator,
.category_game figure:hover .info_container {
  opacity: 1;
  transition: 0.3s all ease-out;
}

.category_game figure:hover .creator {
  transform: translateY(0);
}

.category_game figure .creator {
  transform: translateY(-10px);
  position: absolute;
  top: 0.6rem;
  left: 5%;
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  font-size: 12px;
  opacity: 0.5;
  transition: 0.3s all ease-out;
}

.category_game figure .creator img.avatar {
  height: 20px;
  width: 20px;
  border-radius: 50%;
  margin-right: 0.5rem;
}

.category_game figure .info_container .team_range {
  /* margin-left: auto; */
}

.category_game a.guide_link {
  color: unset;
  transition: 0.2s all ease;
  margin-left: auto;
}

.category_game figure .creator a.guide_link .icon {
  width: 1rem;
  margin-bottom: 2px;
  margin-right: 5px;
  height: 1rem;
  transform: scale(1.5);
  border: 1px solid white;
  padding: 2.5px;
  border-radius: 50%;
  opacity: 0.6;
  transition: 0.2s all ease;
}

.category_game figure .creator a.guide_link .icon:hover {
  opacity: 1;
  transition: 0.2s all ease;
}

@media screen and (max-width: 1024px) {
  section.category .category_content {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-rows: minmax(200px, 14vw);
    grid-gap: 1rem;
    position: relative;
    width: 100%;
    margin-bottom: 1.5rem;
    height: auto;
  }
}

@media screen and (max-width: 768px) {
  section.category .category_content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: minmax(110px, 14vw);
    grid-gap: 0.5rem;
    position: relative;
    width: 100%;
    margin-bottom: 1rem;
    height: auto;
  }
}

@media screen and (max-width: 576px) {

  section#recommend {
    padding-bottom: 2rem;
  }
  
  section.category {
    margin-top: 2rem;
  }
  section.category .category_content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-rows: minmax(12rem, 15rem);
    grid-gap: 1rem;
    position: relative;
    width: 100%;
    margin-bottom: 1rem;
    padding: 0;
    height: auto;
  }

  section.category .category_content.gameCustomized {
    grid-auto-rows: 12rem;
  }

  .category_content .category_game figure {
    display: flex;
    flex-direction: column;
  }

  .category_game figure .info_container {
    display: grid;
    grid-template-columns: 10% 1fr;
  }

  .category_game figure .info_container img[data-icon] {
    height: 1rem;
    width: 100%;
    object-position: center;
    object-fit: contain;
  }

  .category_content .category_game figure img {
    aspect-ratio: 4/3;
  }

  .category_game figure .info_container h6 {
    display: block;
    grid-column: 1/3;
    margin-bottom: 0;
  }

  section.category .section_bg {
    grid-template-columns: 1fr 1fr;
    padding-top: 3rem;
  }

  section.category .category_tab {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin: 1rem auto;
    justify-items: center;
  }

  section.category .category_tab span {
    font-size: 1rem;
  }

  section.category figcaption {
    display: none !important;
  }
}

/* qna */

section#qna {
  display: flex;
  flex-direction: row;
  margin: 1rem auto
}

section#qna .title_wrap {
  width: 40%;
  margin: 0 auto auto 0;
  justify-content: flex-start;
  gap: 1rem;
}

.qna_content {
  width: 100%;
  padding: 0 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.qna_content .qna_wrap {
  position: relative;
  width: 100%;
  min-width: 300px;
  padding: 1.4rem;
  padding-left: 3rem;
  background-color: var(--pwGray2);
  text-align: left;
  border-radius: 5px;
  margin-bottom: 1rem;
  transition: all 0.2s ease-out;
}

.qna_wrap::after {
  content: url('https://api.iconify.design/ri:arrow-drop-down-line.svg?color=black&width=42');
  position: absolute;
  transform: rotateZ(-180deg);
  transform-origin: center;
  top: 8%;
  right: 1%;
  transition: all 0.2s ease-out;
}
.qna_wrap::before {
  display: none;
  content: url('https://api.iconify.design/ri:arrow-drop-down-line.svg?color=white&width=42');
  position: absolute;
  top: 8%;
  transform: rotateZ(0deg);
  transform-origin: center;
  right: 1%;
  transition: all 0.2s ease-out;
}
.qna_wrap h6 {
  margin-top: 0;
  position: relative;
  font-weight: 400;
  transition: all 0.2s ease-out;
  font-size: 14px;
}

.qna_wrap h6::before {
  content: 'Ｑ';
  position: absolute;
  top: 46%;
  transform: translateY(-50%) scale(1.1);
  left: -3%;
}

.qna_wrap:hover {
  cursor: pointer;
}
.qna_wrap:hover h6 {
  transition: all 0.1s ease-out;
}
.qna_wrap:hover::before,
.qna_wrap:hover::after {
  transition: all 0.1s linear;
  font-weight: 500;
}

.qna_wrap p {
  font-weight: 400;
  position: relative;
  margin-bottom: 0;
  opacity: 1;
  font-size: 14px;
  transition: opacity 0.5s ease-out;
}

.qna_wrap p::before {
  content: 'Ａ';
  position: absolute;
  top: 1%;
  transform: scale(1.1);
  left: -3%;
}

.qna_wrap.hide {
  background-color: var(--pwGray7);
  color: white;
  transition: background-color 0.3s ease-out;
}
.qna_wrap.hide h6 {
  margin-bottom: 0;
}

.qna_wrap.hide p {
  display: none;
  opacity: 0;
  transition: opacity 0.5s ease-out;
}
.qna_wrap.hide::before {
  display: block;
}
.qna_wrap.hide::after {
  display: none;
}

@media screen and (max-width: 768px) {
  section#qna {
    display: flex;
    flex-direction: column;
  }

  section#qna .title_wrap {
    width: 100%;
    justify-content: center;
    gap: 0;
    margin-bottom: 1rem;
  }

  .qna_content {
    padding: 0;
  }
  .qna_content .qna_wrap {
    padding: 1.5rem 2rem;
  }

  .qna_wrap::after {
    top: 7px;
    right: 0;
  }
  .qna_wrap::before {
    top: 12px;
    right: 0;
  }

  .qna_wrap h6::before {
    content: 'Ｑ';
    position: absolute;
    top: 0;
    transform: scale(1.1);
    left: -22px;
  }

  .qna_wrap p::before {
    content: 'Ａ';
    position: absolute;
    top: 0%;
    transform: scale(1.1);
    left: -22px;
  }
}

/* contact */
section#contact {
  scroll-margin-top: 3rem;
  padding: 0;
}
section .contact_hint {
  display: flex;
  flex-direction: row;
  position: relative;
  width: 100%;
  padding: 2vw;
}
section .contact_hint .text_part {
  width: 60%;
  display: flex;
  margin: 0 auto;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

section .contact_hint .text_part p {
  text-align: center;
  margin: 1rem 0;
}

section .contact_hint .text_part button {
  color: white;
  font-weight: 300;
  background-color: var(--pwBlue);
  padding: 1rem 1.3rem;
  border-radius: 2rem;
  display: flex;
  letter-spacing: 1px;
  align-items: center;
  transition: all 0.3s ease;
}

@media screen and (max-width: 768px) {
  section .contact_hint {
    display: flex;
    flex-direction: column;
  }
  section .contact_hint .text_part {
    width: 100%;
    text-align: center;
  }
}

/* instructor */

section#instructor {
  scroll-margin-top: 3rem;
}

.instructor_content {
  margin-top: 2rem;

  width: 100%;
  display: flex;
  justify-content: center;
}

.instructor_content .service_info {
  width: 50%;
  display: flex;
  flex-direction: column;
  padding: 0 0 0 10%;
}

.service_info span {
  font-weight: 300;
  font-size: clamp(1rem, 3vw, 1.1rem);
  line-height: 2;
  letter-spacing: 1px;
}

.service_info h3 {
  margin-bottom: 0rem;
}

.service_image_container {
  width: 50%;
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 0 0 0 5%;
}

.service_image_container .image_wrapper {
  width: 70%;
  min-width: 300px;
  overflow: hidden;
  aspect-ratio: 2/1;
  margin-bottom: 1rem;
}

.service_image_container .image_wrapper .service_image {
  object-fit: cover;
  border-radius: 1rem;
  width: 100%;
  height: 100%;
}

.instructor_content .btn_wrapper {
  display: flex;
  width: 100%;
}

.instructor_content .section_btn {
  all: unset;
  background-color: var(--pwGray7);
  width: auto;
  padding: 0 1rem;
  line-height: 40px;
  margin-right: 0.5rem;
  margin-top: 1rem;
  cursor: pointer;
  height: 40px;
  color: white;
  font-weight: 500;
  text-align: center;
  border-radius: 0.5rem;
  transition: background-color 0.2s ease;
}

.instructor_content .section_btn:hover {
  background-color: var(--pwGray5);
  color: white;
  transition: all 0.2s ease;
}

#instructorIntro .modal-dialog {
  max-width: 700px;
  width: 90%;
  margin: 15% auto;
}

#instructorIntro .modal-content {
  width: 100%;
  min-width: 300px;
  padding: 1.5rem;
  display: flex;
  position: relative;
  flex-direction: row;
}

#instructorIntro .modal-content .close_btn {
  position: absolute;
  right: 1rem;
  top: 1rem;
}

#instructorIntro .modal-content .left_content {
  width: 50%;
}

#instructorIntro .modal-content .left_content h5 {
  margin-bottom: 1rem;
  width: auto;
}

#instructorIntro .modal-content .left_content dt {
  margin: 1rem 0 0.5rem 0;
  padding: 0x;
}

#instructorIntro .modal-content .left_content dl {
  margin-bottom: 0.5rem;
  padding: 0 5px;
}

#instructorIntro .modal-content .right_content {
  padding: 1rem;
  width: 45%;
  margin: auto;
  margin-bottom: 0;
}

#instructorIntro .modal-content .right_content img {
  width: 100%;
  border-radius: 0.5rem;
}

@media screen and (max-width: 576px) {
  #instructorIntro .modal-content {
    flex-direction: column-reverse;
  }
  #instructorIntro .modal-content .left_content h5 {
    margin: auto;
    font-size: 1.2rem;
    width: 100%;
    text-align: center;
  }
  #instructorIntro .modal-content .right_content {
    padding: 1rem;
    width: 100%;
  }

  .banner_btn_wrapper a.section_btn {
    font-size: 1rem;
  }
}

@media screen and (max-width: 768px) {
  #instructor .title_wrap h2 {
    margin: auto;
  }

  .title_wrap img {
    width: 80px;
    margin-top: 5px;
  }
  .instructor_content {
    margin-top: 1rem;
    width: 100%;
    display: flex;
    flex-direction: column-reverse;
  }

  .instructor_content > div {
    width: 100%;
  }

  .instructor_content .service_image_container {
    padding: 0;
  }

  .instructor_content .service_info {
    width: 100%;
    padding: 0;
    align-items: center;
  }
  .instructor_content .service_info .btn_wrapper {
    justify-content: center;
  }
}

/* aside menu */

.aside_btns {
  display: flex;
  gap: 14px;
  padding: 0 0 0 1rem;
  flex-direction: column;
  position: fixed;
  font-weight: 400;
  top: 14rem;
  left: 0;
  transition: 0.3s all ease;
  z-index: 1;
}

.aside_btns a {
  border-left: 4px solid #a89d9d5c;
  color: var(--grey-5);
  padding: 3px 0 3px 0.5rem;
  font-size: 14px;
  transition: 0.3s all ease;
}

.aside_btns a.wh.active {
  border-color: white;
  color: white;
  font-weight: 500;
}

.aside_btns a.bk.active {
  border-color: var(--pwGray);
  color: var(--pwGray);
  font-weight: 500;
}

@media screen and (max-width: 768px) {
  .aside_btns {
    top: auto;
    bottom: 0;
    padding: 0.8rem 3px 1.3rem;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    background-color: rgba(245, 245, 245, 0.616);
    gap: 0.5rem;
    width: 100%;
    flex-wrap: wrap;
    justify-content: center;
    flex-direction: row;
  }

  .aside_btns a {
    border-left: none;
    border-bottom: 4px solid #a89d9d5c;
    padding: 2px 5px;
    color: var(--grey-6);
  }

  .aside_btns a.wh.active,
  .aside_btns a.bk.active {
    border-color: var(--pwGray);
    color: var(--pwGray);
    font-weight: 500;
  }
}
